echo off

echo This is a demonstration of SQPED's facilities.
echo If you always answer "yes" (or "all" if possible),
echo the complete demonstration will be performed. If you answer "quit"
echo at the prompt of SQPED, you will proceed to the next example.
type newline
choice /c:yn "Do you want to start the demonstration now "
if errorlevel 2 goto stop
type newline 			

echo ******************************************
echo SQPED will search for multiple strings:
echo editor , string , search , replac , exampl
echo ******************************************
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_search_1

copy demo.txt demo.in
type newline 			
echo on
..\bin\ped "'editor';'string';'search';'replac';'exampl'" demo.in /nologo
echo off

:end_search_1
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo ************************************************************************
echo SQPED will search and replace multiple strings
echo (replace abbreviations by their expansion)
echo The abbreviations                    sq ,              ped ,   ms
echo will be replaced by their expansions Software-Quelle , SQPED , Microsoft
echo ************************************************************************
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_search_and_repl

copy demo.txt demo.in
type newline 			
echo Note: The keyword "word" (= "search for whole words")
echo       will be abbreviated
echo on
..\bin\ped "'sq' word = 'Software-Quelle';'ped' wo = 'SQPED';'MS' w ='Microsoft'" demo.in /nologo
echo off
type newline 			
choice /c:yn "Do you want to see the modified file "
if errorlevel 2 goto end_search_and_repl

type newline 			
echo Content of file demo.in
type demo.in | more

:end_search_and_repl
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline


echo *******************************************
echo SQPED will exchange each two words that are
echo separated by spaces and/or newline
echo *******************************************
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_exchange_1

copy demo.txt demo.in
type newline 			
echo on
..\bin\ped "*(letter) + *(white_space+newline) + *(letter) = *3 + *2 + *1" demo.in /nologo
echo off
type newline 			
choice /c:yn "Do you want to see the modified file "
if errorlevel 2 goto end_exchange_1

type newline 			
echo Content of file demo.in
type demo.in | more

:end_exchange_1
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo *******************************************************
echo SQPED will exchange each two words that are
echo separated by spaces and/or newline, and convert them
echo to upper case letters.
echo This version uses string variables to temporarily store
echo the words. This example will edit the file
echo that was modified in the previous example.
echo *******************************************************
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_exchange_2

type newline 			
echo *******************************************************
echo Note: The keywords "letter", "white_space" (= SPACE and TAB characters)
echo       and "newline" will be abbreviated
echo *******************************************************
echo on
..\bin\ped "*(lett)>$w1 + *(ws+nl)>$sp + *(l)>$w2 = $upper($w2) + $sp + $upper($w1)" demo.in /nologo
echo off
type newline 			
choice /c:yn "Do you want to see the modified file "
if errorlevel 2 goto end_exchange_2

type newline 			
echo Content of file demo.in
type demo.in | more

:end_exchange_2
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo ***********************************************************
echo SQPED will search only in the first 10 columns of each line
echo ***********************************************************
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_search_col

copy demo.txt demo.in
type newline 			
echo on
..\bin\ped "<1 .. 10> 'search'" demo.in /nologo
echo off

:end_search_col
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo **********************************************
echo SQPED modifies text strings and numbers
echo by use of arithmetic expressions and functions 
echo **********************************************
type newline 			
echo the search program contains multiple lines
choice /c:yn "Do you want the search program to be displayed "
if errorlevel 2 goto exec_expr

type newline 			
echo Content of file expr.ped
type expr.ped | more

:exec_expr
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_expr

copy demo.txt demo.in
type newline 			
echo ********************************************************
echo The search program will be started in trace mode,
echo so you will see each statement before execution.
echo Choose the trace option to execute the current statement		
echo ********************************************************
type newline 			
echo on
..\bin\ped /f:expr.ped demo.in /nologo /trace
echo off

:end_expr		
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo *****************************************
echo SQPED counts words and shows only the sum
echo *****************************************
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_count_1

copy demo.txt demo.in
type newline 			
echo on
..\bin\ped "*(letter)" demo.in /nologo /p:-dm
echo off

:end_count_1
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo ************************************
echo SQPED counts words, lines and spaces
echo ************************************
type newline 			
echo The search program is contained within a command-file,
echo that contains further command-line options, too.
choice /c:yn "Do you want the command-file to be displayed "
if errorlevel 2 goto exec_count_2

type newline 			
echo Content of file count.cmd
type count.cmd | more

:exec_count_2		
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_count_2

copy demo.txt demo.in
type newline 			
echo on
..\bin\ped /c:count.cmd demo.in
echo off

:end_count_2		
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo ***********************************************************
echo SQPED centers lines that contain more than 3 leading spaces
echo ***********************************************************
type newline 			
echo the search program contains multiple lines
choice /c:yn "Do you want the search program to be displayed "
if errorlevel 2 goto exec_center

type newline 			
echo Content of file center.ped
type center.ped | more

:exec_center		
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_center

copy demo.txt demo.in
type newline 			
echo on
..\bin\ped /f:center.ped demo.in /p:-dm /nologo
echo off
type newline 			
choice /c:yn "Do you want to see the modified file "
if errorlevel 2 goto end_center

type newline 			
echo Content of file demo.in
type demo.in | more

:end_center		
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo ********************************************************
echo SQPED sets the FILES value in CONFIG.SYS to at least 128
echo NOTE: this example will edit its own CONFIG.SYS !!!!!
echo ********************************************************
type newline 			
echo the search program contains multiple lines
choice /c:yn "Do you want the search program to be displayed "
if errorlevel 2 goto exec_files

type newline 			
echo Content of file files.ped
type files.ped | more

:exec_files		
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_files

copy config.txt config.sys
type newline 			
echo on
..\bin\ped /f:files.ped config.sys /nologo /p:-dm
echo off

:end_files
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo *****************************************
echo SQPED selects data from a report file
echo to serve as input for MS-Excel.
echo Version 1 uses output to a log file
echo Note: In the following examples, keywords
echo       will be abbreviated
echo *****************************************
type newline 			
echo the search program contains multiple lines
choice /c:yn "Do you want the search program to be displayed "
if errorlevel 2 goto exec_report1

type newline 			
echo Content of file report1.ped
type report1.ped | more

:exec_report1		
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_report1

copy report.lst report.in
type newline 			
echo on
..\bin\ped /f:report1.ped report.in /l:report.out /nologo /p:-dms:-l
echo off
type newline 			
choice /c:yn "Do you want to see the log file "
if errorlevel 2 goto end_report1

type newline 			
echo Content of file report.out
type report.out | more

:end_report1		
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo **************************************************
echo SQPED selects data from a report file
echo to serve as input for MS-Excel.
echo Version 2 copies the input file to the output file
echo           and then modifies the output file
echo **************************************************
type newline 			
echo the search program contains multiple lines
choice /c:yn "Do you want the search program to be displayed "
if errorlevel 2 goto exec_report2

type newline 			
echo Content of file report2.ped
type report2.ped | more

:exec_report2		
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_report2

type newline 			
echo on
copy report.lst report.out
..\bin\ped /f:report2.ped report.out /nologo /p:-dmr
echo off
type newline 			
choice /c:yn "Do you want to see the result "
if errorlevel 2 goto end_report2

type newline 			
echo Content of file report.out
type report.out | more

:end_report2
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo *************************************
echo SQPED selects data from a report file
echo to serve as input for MS-Excel.
echo Version 3 uses multiple windows
echo *************************************
type newline 			
echo the search program contains multiple lines
choice /c:yn "Do you want the search program to be displayed "
if errorlevel 2 goto exec_report3

type newline 			
echo Content of file report3.ped
type report3.ped | more

:exec_report3		
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_report3

copy report.lst report.in
type newline 			
echo on
..\bin\ped /f:report3.ped report.in /nologo /p:-dmrs
echo off
type newline 			
choice /c:yn "Do you want to see the output file "
if errorlevel 2 goto end_report3

type newline 			
echo Content of file report.out
type report.out | more

:end_report3		
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo ***************************************************************
echo SQPED creates a list of pathnames as input for a backup program
echo ***************************************************************
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_backup

type newline 			
echo *****************************************************
echo SQPED shows only the pathnames of the selected files
echo and writes them to the log file BACKUP.LST .
echo Output to the screen is suppressed by the option /p:b
echo Output of summary is suppressed by the option /p:-ls
echo *****************************************************
echo on
..\bin\ped /fn /x:*.bak /x:read*.* /x:*samp*\*.in /x:*\bin\ /s:3 ..\*.* /nologo /l:backup.lst /p:b:-ls
echo off
type newline 			
choice /c:yn "Do you want to see the output file "
if errorlevel 2 goto end_backup

type newline 			
echo Content of file backup.lst
type backup.lst | more

:end_backup		
type newline 			
choice /c:yn "Do you want to continue with the demonstration "
if errorlevel 2 goto stop
type newline 			


echo ******************************************************************
echo SQPED converts an ASCII text files from MS-DOS (OEM character set)
echo to MS-Windows (ANSI character set); this example is especially
echo useful for German users (German umlauts will be converted), but
echo may be easily adapted to other languages.
echo (Conversion from MS-Windows to MS-DOS will be performed
echo  by the search program contained in ans2oem.ped)
echo ******************************************************************
type newline 			
echo the search program contains multiple lines
choice /c:yn "Do you want the search program to be displayed "
if errorlevel 2 goto exec_convert

type newline 			
echo Content of file oem2ans.ped
type oem2ans.ped | more

:exec_convert		
type newline 			
choice /c:yn "Do you want the search program to be executed "
if errorlevel 2 goto end_convert

type newline 			
echo on
copy msdos.txt mswin.txt
..\bin\ped /f:oem2ans.ped mswin.txt /nologo
echo off
type newline 			
choice /c:yn "Do you want to see the result "
if errorlevel 2 goto end_convert

type newline 			
echo Content of file mswin.txt
type mswin.txt | more

:end_convert


:stop
type newline 			
echo **********************************************
echo End of the demonstration of SQPED's facilities
echo **********************************************
type newline 			
